# 使用官方 Nginx 镜像
FROM nginx:stable-perl

ENV CONTAINER_DIR="/etc/nginx"

# 将自定义的 nginx.conf 文件复制到容器的 /etc/nginx 目录下
COPY ./nginx/nginx.conf $CONTAINER_DIR/nginx.conf

# 暴露 80 端口
EXPOSE 80

# 启动 Nginx
CMD ["nginx", "-g", "daemon off;"]
